34
Validation results

King News

King News

WordPress 4.8 theme
34
  • THEME TYPEWordPress theme 4.8
  • FILE NAMEking-news.zip
  • FILE SIZE3137100 bytes
  • MD53cfb35095692a671c163a7115cdfd6cd
  • SHA166312416ef6c1ace8e02db5bb69cbd513c343554
  • LICENSEGNU GPL 2
  • FILES INCLUDEDCSS, PHP, HTML, Bitmap images
  • THEME URIhttp://underscores.me/
  • VERSION1.0.2
  • AUTHOR URI
  • TAGSblue, white, light, one-column, two-columns, three-columns, left-sidebar, right-sidebar, fixed-layout, responsive-layout, custom-background, custom-colors, custom-menu, featured-images, post-formats, sticky-post, theme-options, threaded-comments, translation-ready
  • CREATION DATE2017-04-05
  • LAST FILE UPDATE2017-04-05
  • LAST VALIDATION2017-04-05 09:52
Critical alerts
  1. Admin menu : Themes should use add_theme_page() for adding admin pages. File class-tgm-plugin-activation.php :
    Line 641: $this->page_hook = call_user_func( 'add_submenu_page', $args['parent_slug'], $args['page_title'], $args['menu_t
  2. Inapropriate constants : Use of HEADER_TEXTCOLOR Constant HEADER_TEXTCOLOR was found in the file custom-header.php. add_theme_support( 'custom-header' ) should be used instead.
    Line 48: if ( HEADER_TEXTCOLOR === $header_text_color ) {
  3. Included plugins : Zip file found Plugins are not allowed in themes. The zip file found was cherry-data-importer.zip tm-gallery.zip.
Warning
  1. theme tags : Presence of bad theme tagsThe tag blue has been deprecated, it must be removed from style.css header.The tag white has been deprecated, it must be removed from style.css header.The tag light has been deprecated, it must be removed from style.css header.The tag fixed-layout has been deprecated, it must be removed from style.css header.The tag responsive-layout has been deprecated, it must be removed from style.css header.
  2. Text domain : Incorrect use of translation functions.Wrong installation directory for the theme name. The directory name must match the slug of the theme. This theme's correct slug and text-domain is king-news.
  3. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function __, with the arguments 'king_news' in file index.php.Found a translation function that is missing a text-domain. Function esc_html__, with the arguments 'This widget displays latest posts' in file class-tm-featured-posts-block-widget.php.More than one text-domain is being used in this theme. This means the theme will not be compatible with WordPress.org language packs. The domains found are king_news, cherry-data-importer, tgmpa, __tm, wi-injector.
  4. Cdn : Use of CDNFound the URL of a CDN in the code: maxcdn.bootstrapcdn.com/font-awesome. CSS or Javascript resources should not be loaded from a CDN. These resources should be bundled with the theme.
  5. Editor style : Presence of editor styleNo reference to add_editor_style() was found in the theme. It is recommended that the theme implements editor styling, so as to make the editor content match the resulting post output in the theme, for a better user experience.
  6. I18N implementation : Proper use of ___all(Possible variable $blog_title_txt found in translation function in index.php. Translation function calls should not contain PHP variables.
    Line 30: echo '<h2 class='title-line'>' . __( $blog_title_txt, 'king_news' ) . '</h2>';
Tip-off
  1. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  2. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  3. Optional files : Presence of home template file home.phpThis theme does not contain optional file home.php.
  4. Optional files : Presence of category template file category.phpThis theme does not contain optional file category.php.
  5. Optional files : Presence of tag template file tag.phpThis theme does not contain optional file tag.php.
  6. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  7. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  8. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  9. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  10. Optional files : Presence of image template file image.phpThis theme does not contain optional file image.php.
  11. Use of includes : Use of include or requireThe theme appears to use include or require : cherry-core.php
    Line 272: require_once( $path );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-template-manager.php
    Line 96: require_once( dirname( __FILE__ ) . '/inc/cherry-template-loader.php' );
    Line 97: require_once( dirname( __FILE__ ) . '/inc/cherry-template-parser.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-template-loader.php
    Line 113: include_once( ABSPATH . '/wp-admin/includes/file.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-theme-updater.php
    Line 19: require_once( '/inc/cherry-base-updater.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-customizer.php
    Line 218: require_once( trailingslashit( dirname( __FILE__ ) ) . '/inc/class-cherry-w
    Line 981: include_once( ABSPATH . '/wp-admin/includes/file.php' );
    Line 1006: include_once( ABSPATH . '/wp-admin/includes/file.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-widget-factory.php
    Line 99: require_once( dirname( __FILE__ ) . '/inc/class-cherry-abstract-widget.php'
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-utility.php
    Line 95: require_once( dirname( __FILE__ ) . '/inc/cherry-' . $utilit . '-utilit.php
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-dynamic-css.php
    Line 106: require_once 'inc/class-cherry-dynamic-css-collector.php';
    Line 109: include 'assets/min/cherry-css-collector.min.js';
    Line 248: require_once 'inc/class-cherry-dynamic-css-utilities.php';
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-ui-elements.php
    Line 115: require_once( dirname( __FILE__ ) . '/i-ui.php' );
    Line 119: require_once( dirname( __FILE__ ) . '/ui-element.php' );
    Line 124: require_once( dirname( __FILE__ ) . '/inc/ui-elements/ui-' . $ui_element . 
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : cherry-plugin-updater.php
    Line 19: require_once( '/inc/cherry-base-updater.php' );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : class-tm-taxonomy-tiles-widget.php
    Line 275: require( $view_dir );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : class-tm-image-grid-widget.php
    Line 285: require( $view_dir );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : class-tm-carousel-widget.php
    Line 352: require( $view_dir );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
    The theme appears to use include or require : class-tm-news-smart-box-widget.php
    Line 335: require( $view_type );
    If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
Other checked themes